<?php

/*
 * Plugin Name:       GDPR Map for WooCommerce
 * Plugin URI:        https://www.gdpr-map.eu/
 * Description:       GDPR ready checkout address autocomplete for WooCommerce
 * Version:           1.1
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            GDPR Map
 * Author URI:        https://www.gdpr-map.eu/
 * Text Domain:       gdprmapwoo
 */

require_once("includes/maps-main.php");
require_once("includes/maps-settings.php");


/*
 * register plugin wizzard
 */

add_action( "admin_init", function(){

    // disable wizard on click
    if( isset($_GET['gdprmapwizard']) ) {

        if( $_GET['gdprmapwizard'] == 'true' ) {
            update_option( "gdprmapwoo_show_wizard", 0 );
            return;
        }
    }

    // show wizard
    if ( get_option( $opt_name = "gdprmapwoo_show_wizard" ) ) {
        add_action( "admin_notices", "gdprmap_wizard_notice" );
    } return;
});


/*
 * wizzard notice html
 */
function gdprmap_wizard_notice() {

    ?>

    <div class="updated notice is-dismissible">
        <p><?php echo __('Welcome to GDPR Map for WooCommerce! You are just a few steps away from getting ready.', 'gdprmapwoo'); ?></p>
        <p><a href="options-general.php?page=gdprmapwoosettings&gdprmapwizard=true" class="button button-primary"><?php echo __('Run wizard', 'gdprmapwoo'); ?></a></p>
    </div>

    <?php

}


/*
 * Init options
 */
register_activation_hook( __FILE__, function() {

    // TBD: Copy gdprmap_options if existing
    if( empty( get_option( 'gdprmapwoo_options' ) ) ) {

        update_option( "gdprmapwoo_show_wizard", 1 );
        update_option( "gdprmapwoo_options", '' );
    }
    
});


/**
 * Load translations
 */
function gdprmapwoo_load_textdomain() {

    load_plugin_textdomain('gdprmapwoo', false, dirname(plugin_basename(__FILE__)) . '/languages/');
}
add_action('plugins_loaded', 'gdprmapwoo_load_textdomain');